package com.ruoyi.predict.mapper;

import com.ruoyi.predict.domain.AreaConfig;

import java.util.List;

/**
 * AreaConfigMapper接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface AreaConfigMapper {

    public int insertAreaConfig(AreaConfig areaConfig);

    public int updateAreaConfig(AreaConfig areaConfig);

    public int deleteAreaConfigByRtuNo(Long rtuNo);

    AreaConfig selectAreaConfigByRtuNo(Long rtuNo);

    List<AreaConfig> selectWindplantListByAreaNo(Long areaNo);
}
